summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJérôme Schneider <jschneider@entrouvert.com>2014-06-03 17:13:44 (GMT)
committerJérôme Schneider <jschneider@entrouvert.com>2014-06-03 17:13:44 (GMT)
commitbdc49d5dfa63b58bd2d8e899a68be2213fb100f6 (patch)
tree27325d035db34b7e5741ed86c1f255e207ac0efa
downloadmandaye-meyzieu-bdc49d5dfa63b58bd2d8e899a68be2213fb100f6.zip
mandaye-meyzieu-bdc49d5dfa63b58bd2d8e899a68be2213fb100f6.tar.gz
mandaye-meyzieu-bdc49d5dfa63b58bd2d8e899a68be2213fb100f6.tar.bz2
with debian folder it's better
-rw-r--r--changelog5
-rw-r--r--compat1
-rw-r--r--control20
-rw-r--r--dirs3
-rwxr-xr-xinit.d164
-rw-r--r--install1
-rw-r--r--local_config.py42
-rw-r--r--postinst57
-rw-r--r--pydist-overrides2
-rwxr-xr-xrules19
-rw-r--r--source/format1
11 files changed, 315 insertions, 0 deletions
diff --git a/changelog b/changelog
new file mode 100644
index 0000000..83bf565
--- /dev/null
+++ b/changelog
@@ -0,0 +1,5 @@
+mandaye-meyzieu (0.1-1) stable; urgency=medium
+
+ * Initial release
+
+ -- Jérôme Schneider <jschneider@entrouvert.com> Tue, 03 Jun 2014 19:00:37 +0200
diff --git a/compat b/compat
new file mode 100644
index 0000000..7f8f011
--- /dev/null
+++ b/compat
@@ -0,0 +1 @@
+7
diff --git a/control b/control
new file mode 100644
index 0000000..f2b392b
--- /dev/null
+++ b/control
@@ -0,0 +1,20 @@
+Source: mandaye-meyzieu
+Maintainer: Jerome Schneider <jschneider@entrouvert.com>
+Section: python
+Priority: optional
+Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7.4.3)
+Standards-Version: 3.9.1
+X-Python-Version: current
+
+Package: mandaye-meyzieu
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends},
+ python-mandaye (>= 0.8),
+ python-beautifulsoup (>= 3.1),
+ python-crypto (>= 2.6),
+ python-lasso (>= 2.4.0),
+ python-psycopg2,
+ gunicorn (>= 0.17)
+Recommends: postgresql, python-raven
+Description: Meyzieu Mandaye project, modular authentification reverse proxy
+
diff --git a/dirs b/dirs
new file mode 100644
index 0000000..eebb6c3
--- /dev/null
+++ b/dirs
@@ -0,0 +1,3 @@
+etc/mandaye-meyzieu
+etc/mandaye-meyzieu/sites-available
+etc/mandaye-meyzieu/sites-enabled
diff --git a/init.d b/init.d
new file mode 100755
index 0000000..8fe684c
--- /dev/null
+++ b/init.d
@@ -0,0 +1,164 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: mandaye-meyzieu
+# Required-Start: $network $local_fs
+# Required-Stop:
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: authentication reverse proxy for Meyzieu
+# Description: authentication reverse proxy for Meyzieu
+### END INIT INFO
+
+# Author: Jérôme Schneider <jschneider@entrouvert.com>
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+NAME=mandaye-meyzieu
+DAEMON=/usr/bin/gunicorn
+PID_DIR=/var/run/mandaye-meyzieu
+PIDFILE=/var/run/mandaye-meyzieu/$NAME.pid
+LOG_DIR=/var/log/mandaye-meyzieu
+SCRIPTNAME=/etc/init.d/$NAME
+
+USER=mandaye-meyzieu
+GROUP=mandaye-meyzieu
+
+DAEMON_ARGS="--pid $PIDFILE \
+--user $USER --group $GROUP \
+--daemon \
+--access-logfile $LOG_DIR/gunicorn-access.log \
+--log-file $LOG_DIR/gunicorn-error.log \
+--bind=unix:$PID_DIR/$NAME.sock \
+--workers=5 \
+--worker-class=sync \
+--timeout=60 \
+rp_meyzieu.wsgi:application"
+
+# Exit if the package is not installed
+[ -x $DAEMON ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Create pid directory
+[ ! -d $PID_DIR ] && mkdir $PID_DIR && chown $USER:$GROUP $PID_DIR
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+ # Return
+ # 0 if daemon has been started
+ # 1 if daemon was already running
+ # 2 if daemon could not be started
+ start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
+ || return 1
+ start-stop-daemon --start --quiet --exec $DAEMON -- \
+ $DAEMON_ARGS \
+ || return 2
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+ # Return
+ # 0 if daemon has been stopped
+ # 1 if daemon was already stopped
+ # 2 if daemon could not be stopped
+ # other if a failure occurred
+ start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
+ RETVAL="$?"
+ [ "$RETVAL" = 2 ] && return 2
+ # Wait for children to finish too if this is a daemon that forks
+ # and if the daemon is only ever run from this initscript.
+ # If the above conditions are not satisfied then add some other code
+ # that waits for the process to drop all resources that could be
+ # needed by services started subsequently. A last resort is to
+ # sleep for some time.
+ start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
+ [ "$?" = 2 ] && return 2
+ # Many daemons don't delete their pidfiles when they exit.
+ rm -f $PIDFILE
+ return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+ #
+ # If the daemon can reload its configuration without
+ # restarting (for example, when it is sent a SIGHUP),
+ # then implement that here.
+ #
+ start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
+ return 0
+}
+
+case "$1" in
+ start)
+ log_daemon_msg "Starting $DESC " "$NAME"
+ do_start
+ case "$?" in
+ 0|1) log_end_msg 0 ;;
+ 2) log_end_msg 1 ;;
+ esac
+ ;;
+ stop)
+ log_daemon_msg "Stopping $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1) log_end_msg 0 ;;
+ 2) log_end_msg 1 ;;
+ esac
+ ;;
+ status)
+ status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+ ;;
+ #reload|force-reload)
+ #
+ # If do_reload() is not implemented then leave this commented out
+ # and leave 'force-reload' as an alias for 'restart'.
+ #
+ #log_daemon_msg "Reloading $DESC" "$NAME"
+ #do_reload
+ #log_end_msg $?
+ #;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented then remove the
+ # 'force-reload' alias
+ #
+ log_daemon_msg "Restarting $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1)
+ do_start
+ case "$?" in
+ 0) log_end_msg 0 ;;
+ 1) log_end_msg 1 ;; # Old process is still running
+ *) log_end_msg 1 ;; # Failed to start
+ esac
+ ;;
+ *)
+ # Failed to stop
+ log_end_msg 1
+ ;;
+ esac
+ ;;
+ *)
+ #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+ exit 3
+ ;;
+esac
+
diff --git a/install b/install
new file mode 100644
index 0000000..e28c784
--- /dev/null
+++ b/install
@@ -0,0 +1 @@
+debian/local_config.py /etc/mandaye-meyzieu/
diff --git a/local_config.py b/local_config.py
new file mode 100644
index 0000000..9e0d26e
--- /dev/null
+++ b/local_config.py
@@ -0,0 +1,42 @@
+## SQL Backend config
+# http://docs.sqlalchemy.org/en/rel_0_7/core/engines.html
+# rfc 1738 https://tools.ietf.org/html/rfc1738
+# dialect+driver://username:password@host:port/database
+db_url = 'postgresql://mandaye-meyzieu@/mandaye_meyzieu'
+
+## Logging configuration
+debug = False
+
+# Configuration directory
+config_root = '/etc/mandaye-meyzieu/sites-enabled'
+# Static folder
+static_root = '/usr/share/mandaye-meyzieu/static'
+# Data directory
+data_dir = '/var/lib/mandaye-meyzieu/data'
+
+# Raven Sentry configuration
+raven_dsn = None
+
+## Email notification configuration
+email_notification = False
+smtp_host = 'localhost'
+smtp_port = 25
+email_from = 'admin+mandaye-meyzieu@entrouvert.com'
+email_to = ['admin+mandaye-meyzieu@entrouvert.com']
+
+
+## Session configuration
+# http://beaker.readthedocs.org/en/latest/configuration.html#options-for-sessions-and-caching
+session_opts = {
+ 'session.type': 'file',
+ 'session.cookie_expires': True,
+ 'session.timeout': 3600,
+ 'session.data_dir': '/var/lib/mandaye-meyzieu/sessions'
+}
+
+## Encrypt service provider passwords with a secret
+# You should install pycypto to use this feature
+encrypt_sp_password = True
+# Must be a 16, 24, or 32 bytes long
+encrypt_secret = 'CHANGEME'
+
diff --git a/postinst b/postinst
new file mode 100644
index 0000000..37c7163
--- /dev/null
+++ b/postinst
@@ -0,0 +1,57 @@
+#!/bin/sh
+#
+# Postinst script for mandaye-vincennes
+#
+
+set -e
+
+NAME=mandaye-vincennes
+USER=$NAME
+GROUP=$NAME
+HOME=/var/lib/$NAME
+
+case "$1" in
+ configure)
+ if ! getent group $GROUP > /dev/null 2>&1; then
+ echo -n "Adding group $GROUP.."
+ addgroup --quiet --system $GROUP
+ echo "..done"
+ fi
+ if ! getent passwd $USER > /dev/null 2>&1; then
+ echo -n "Adding user $USER.."
+ adduser --quiet --system --gecos "Mandaye Vincennes daemon" \
+ --ingroup $GROUP \
+ --no-create-home --home $HOME \
+ $USER
+ echo "..done"
+ fi
+
+ echo -n "Fixing permissions.."
+ chown $USER:$GROUP /var/lib/$NAME /var/run/$NAME /var/log/$NAME
+ chown $USER:$GROUP /var/lib/$NAME/data /var/lib/$NAME/sessions
+ echo "..done"
+
+ if [ -z "$2" ]; then
+ echo "Please create your database :"
+ echo "su $USER -p -c '/usr/bin/mandaye_vincennes_manager --createdb'"
+ fi
+ ;;
+
+ reconfigure)
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/pydist-overrides b/pydist-overrides
new file mode 100644
index 0000000..d10358f
--- /dev/null
+++ b/pydist-overrides
@@ -0,0 +1,2 @@
+mandaye python-mandaye
+pycrypto python-crypto
diff --git a/rules b/rules
new file mode 100755
index 0000000..4cbb4db
--- /dev/null
+++ b/rules
@@ -0,0 +1,19 @@
+#!/usr/bin/make -f
+
+BUILD_DIR=$(CURDIR)/debian/mandaye-meyzieu
+
+%:
+ dh $@ --with python2
+
+override_dh_install:
+ dh_install
+ for ver in $(shell pyversions -vr); do \
+ ln -s /etc/mandaye-meyzieu/local_config.py $(BUILD_DIR)/usr/lib/python$$ver/dist-packages/mandaye_meyzieu/; \
+ done
+ install -d -m 0755 $(BUILD_DIR)/var/lib/mandaye-meyzieu
+ install -d -m 0755 $(BUILD_DIR)/var/lib/mandaye-meyzieu/data
+ install -d -m 0750 $(BUILD_DIR)/var/lib/mandaye-meyzieu/sessions
+ install -d -m 0755 $(BUILD_DIR)/var/run/mandaye-meyzieu
+ install -d -m 0755 $(BUILD_DIR)/var/log/mandaye-meyzieu
+ install -d -m 0755 $(BUILD_DIR)/usr/share/mandaye-meyzieu
+ cp -R mandaye_meyzieu/static $(BUILD_DIR)/usr/share/mandaye-meyzieu
diff --git a/source/format b/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/source/format
@@ -0,0 +1 @@
+3.0 (quilt)